local MAJOR_VERSION = "Threat-1.0"
local MINOR_VERSION = tonumber(("$Revision: 39780 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then
	_G.ThreatLib_MINOR_VERSION = MINOR_VERSION
end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()

local ThreatLib = _G.ThreatLib

local BB = AceLibrary("Babble-Boss-2.2")

ThreatLib:GetModule("NPCCore"):RegisterModule(BB["Nightbane"], BB["Restless Skeleton"], function(Nightbane)
	Nightbane:RegisterTranslation("enUS", function() return {
		["Enough! I shall land and crush you myself!"] = "Enough! I shall land and crush you myself!",
		["Insects! Let me show you my strength up close!"] = "Insects! Let me show you my strength up close!",
		["Miserable vermin. I shall exterminate you from the air!"] = "Miserable vermin. I shall exterminate you from the air!",
	} end)

	Nightbane:RegisterTranslation("deDE", function() return {
		["Enough! I shall land and crush you myself!"] = "Genug! Ich werde landen und mich h\195\182chst pers\195\182nlich um Euch k\195\188mmern!",
		["Insects! Let me show you my strength up close!"] = "Insekten! Lasst mich Euch meine Kraft aus n\195\164chster N\195\164he demonstrieren!",
		["Miserable vermin. I shall exterminate you from the air!"] = "Abscheuliches Gew\195\188rm! Ich werde euch aus der Luft vernichten!",
	} end)

	Nightbane:RegisterTranslation("frFR", function() return {
		["Enough! I shall land and crush you myself!"] = "Assez ! Je vais atterrir et vous écraser moi-même !",
		["Insects! Let me show you my strength up close!"] = "Insectes ! Je vais vous montrer de quel bois je me chauffe !",
		["Miserable vermin. I shall exterminate you from the air!"] =  "Misérable vermine. Je vais vous exterminer des airs !",
	} end)

	Nightbane:RegisterTranslation("koKR", function() return {
		["Enough! I shall land and crush you myself!"] = "그만! 내 친히 내려가서 너희를 짓이겨주마!",
		["Insects! Let me show you my strength up close!"] = "하루살이 같은 놈들! 나의 힘을 똑똑히 보여주겠다!",
		["Miserable vermin. I shall exterminate you from the air!"] = "이 더러운 기생충들, 내가 하늘에서 너희의 씨를 말리리라!",
	} end)

	Nightbane:RegisterTranslation("zhTW", function() return {
		["Enough! I shall land and crush you myself!"] = "夠了!我要親自挑戰你!",
		["Insects! Let me show you my strength up close!"] = "昆蟲!給你們近距離嚐嚐我的厲害!",
		["Miserable vermin. I shall exterminate you from the air!"] = "悲慘的害蟲。我將讓你消失在空氣中!",
	} end)

	------------------------------------------------------------------------------------
	------------------------------------------------------------------------------------
	local yell1 = Nightbane:GetTranslation("Enough! I shall land and crush you myself!", true)
	local yell2 = Nightbane:GetTranslation("Insects! Let me show you my strength up close!", true)
	local yell3 = Nightbane:GetTranslation("Miserable vermin. I shall exterminate you from the air!", true)

	Nightbane:UnregisterTranslations()

	function Nightbane:Init()
		self:RegisterCombatant(BB["Nightbane"], true)
		self:RegisterCombatant(BB["Restless Skeleton"], self.SingleDeath)

		self:RegisterChatEvent("yell", BB["Nightbane"], yell1, self.endPhaseTransition)
		self:RegisterChatEvent("yell", BB["Nightbane"], yell2, self.endPhaseTransition)
		self:RegisterChatEvent("yell", BB["Nightbane"], yell3, self.startPhaseTransition)
	end

	function Nightbane:StartFight()
		self:SetNumberOfMobs(1)
	end

	function Nightbane:startPhaseTransition()
		if skellyName then
			self:SetNumberOfMobs(6)		-- Nightbane + 5 skeletons
			self:WipeRaidThreatOnMob(skellyName)
		end	
	end

	function Nightbane:endPhaseTransition()
		self:WipeRaidThreatOnMob(BB["Nightbane"])
	end
end)

table.insert(ThreatLib.UpvalueFixers, function(lib)
	ThreatLib = lib
end)

end
